> For the complete documentation index, see [llms.txt](https://docs.syntho.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.syntho.ai/syntho-api/syntho-rest-api/engine.md).

# Engine

## GET /api/v1/engine/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ListOfEngineSchema":{"properties":{"engines":{"items":{"$ref":"#/components/schemas/EngineSchema"},"title":"Engines","type":"array"}},"required":["engines"],"title":"ListOfEngineSchema","type":"object"},"EngineSchema":{"properties":{"id":{"format":"uuid","title":"Id","type":"string"},"latest_job_status":{"anyOf":[{"$ref":"#/components/schemas/JobStatus"},{"type":"null"}],"default":null},"connector_type":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Connector Type"},"source_database_status":{"anyOf":[{"$ref":"#/components/schemas/DatabaseStatus"},{"type":"null"}],"default":null}},"required":["id"],"title":"EngineSchema","type":"object"},"JobStatus":{"enum":["CREATED","STARTED","IN_PROGRESS","SUCCESS","FAILURE","FAILING","REVOKED","CANCELLING","COMPLETED_WITH_ISSUES"],"title":"JobStatus","type":"string"},"DatabaseStatus":{"enum":["CURRENT","IN_SYNC","IMPORTED"],"title":"DatabaseStatus","type":"string"}}},"paths":{"/api/v1/engine/":{"get":{"operationId":"engine_list","tags":["Engine"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListOfEngineSchema"}}},"description":"Success: List of engines"},"503":{"description":"Message: unable to fetch engines from external service"}}}}}}
```

## GET /api/v1/engine/{engine\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Engine":{"properties":{"seed_value":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":42,"title":"Seed Value"},"use_seed":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"title":"Use Seed"},"initialization_mode":{"anyOf":[{"$ref":"#/components/schemas/InitializationMode"},{"type":"null"}],"default":"DE_IDENTIFY"},"key_generation_method":{"anyOf":[{"$ref":"#/components/schemas/KeyGenerationMethod"},{"type":"null"}],"default":"duplicate"},"n_parallel_pipeline_processes":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1,"title":"N Parallel Pipeline Processes"},"default_n_training_rows":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":100000,"title":"Default N Training Rows"},"default_sample_noise_ratio":{"anyOf":[{"type":"number"},{"type":"null"}],"default":0.0001,"title":"Default Sample Noise Ratio"},"default_max_n_feat_per_model":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":-1,"title":"Default Max N Feat Per Model"},"default_feat_model_train_order":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"as_given","title":"Default Feat Model Train Order"},"default_cardinality_threshold":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":10,"title":"Default Cardinality Threshold"},"default_rare_category_replacement":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"*","title":"Default Rare Category Replacement"},"default_clip_threshold":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":0,"title":"Default Clip Threshold"},"default_locale":{"anyOf":[{"$ref":"#/components/schemas/DefaultLocale"},{"type":"null"}],"default":"en"},"default_noise_factor":{"anyOf":[{"type":"number"},{"type":"null"}],"default":0.0001,"title":"Default Noise Factor"},"default_textpii_parallel_jobs":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":2,"title":"Default Textpii Parallel Jobs"},"default_textpii_scan_batch_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1000,"title":"Default Textpii Scan Batch Size"},"default_cutoff_length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1000,"title":"Default Cutoff Length"},"default_min_sample_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":5,"title":"Default Min Sample Size"},"default_consistent_integer_shuffle_threshold":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":0,"title":"Default Consistent Integer Shuffle Threshold"},"default_max_pending_tasks":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1,"title":"Default Max Pending Tasks"},"default_exclude_tables":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Default Exclude Tables"},"default_n_preview_training_rows":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1000,"title":"Default N Preview Training Rows"},"default_compute_ai_preview":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Default Compute Ai Preview"},"default_data_batch_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Default Data Batch Size"},"default_n_connections":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Default N Connections"},"default_parallel_writing":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"title":"Default Parallel Writing"},"pii_model_settings":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"default":null,"title":"Pii Model Settings"},"id":{"format":"uuid","title":"Id","type":"string"},"created":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"default":null,"title":"Created"},"last_updated":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"default":null,"title":"Last Updated"},"source_database":{"anyOf":[{"$ref":"#/components/schemas/DatabaseSchema"},{"type":"null"}],"default":null},"target_database":{"anyOf":[{"$ref":"#/components/schemas/DatabaseSchema"},{"type":"null"}],"default":null},"workspace_pk":{"title":"Workspace Pk","type":"integer"}},"required":["id","workspace_pk"],"title":"Engine","type":"object"},"InitializationMode":{"enum":["MOCK","MOCK_OR_MASK","DE_IDENTIFY","SCRATCH"],"title":"InitializationMode","type":"string"},"KeyGenerationMethod":{"enum":["duplicate","generate","hash"],"title":"KeyGenerationMethod","type":"string"},"DefaultLocale":{"enum":["en","nl","ja","de"],"title":"DefaultLocale","type":"string"},"DatabaseSchema":{"properties":{"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"format":"uuid","title":"Engine Id","type":"string"},"name":{"title":"Name","type":"string"},"status":{"$ref":"#/components/schemas/DatabaseStatus"},"type":{"$ref":"#/components/schemas/DatabaseType"},"last_synced_at":{"format":"date-time","title":"Last Synced At","type":"string"},"source_connector":{"anyOf":[{"$ref":"#/components/schemas/SourceConnectorSchema"},{"type":"null"}],"default":null},"target_connector":{"anyOf":[{"$ref":"#/components/schemas/TargetConnectorSchema"},{"type":"null"}],"default":null}},"required":["id","engine_id","name","status","type","last_synced_at"],"title":"DatabaseSchema","type":"object"},"DatabaseStatus":{"enum":["CURRENT","IN_SYNC","IMPORTED"],"title":"DatabaseStatus","type":"string"},"DatabaseType":{"enum":["SOURCE","TARGET"],"title":"DatabaseType","type":"string"},"SourceConnectorSchema":{"discriminator":{"mapping":{"DB2Connector":"#/components/schemas/DB2Connector","DatabricksConnector":"#/components/schemas/DatabricksConnector","MsSQLConnector":"#/components/schemas/MsSQLConnector","MySQLMariaDBConnector":"#/components/schemas/MySQLMariaDBConnector","OracleConnector":"#/components/schemas/OracleConnector","PostgreSQLConnector":"#/components/schemas/PostgreSQLConnector","SybaseConnector":"#/components/schemas/SybaseConnector"},"propertyName":"connector_type"},"oneOf":[{"$ref":"#/components/schemas/MsSQLConnector"},{"$ref":"#/components/schemas/MySQLMariaDBConnector"},{"$ref":"#/components/schemas/OracleConnector"},{"$ref":"#/components/schemas/PostgreSQLConnector"},{"$ref":"#/components/schemas/DatabricksConnector"},{"$ref":"#/components/schemas/DB2Connector"},{"$ref":"#/components/schemas/SybaseConnector"}],"title":"SourceConnectorSchema"},"MsSQLConnector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"MsSQLConnector","title":"Connector Type","type":"string"},"host":{"minLength":1,"title":"Host","type":"string"},"database":{"minLength":1,"title":"Database","type":"string"},"username":{"minLength":1,"title":"Username","type":"string"},"schema_name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Schema Name"},"port":{"anyOf":[{"maximum":65535,"minimum":1,"type":"integer"},{"type":"null"}],"default":1433,"title":"Port"},"protocol":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"mssql+pyodbc","title":"Protocol"},"include_views":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Include Views"},"fast_executemany":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"title":"Fast Executemany"}},"required":["id","connector_type","host","database","username"],"title":"MsSQLConnector","type":"object"},"ConnectionHooksSchema":{"properties":{"SSHTunnel":{"anyOf":[{"$ref":"#/components/schemas/SSHTunnelHooksSchema"},{"type":"null"}],"default":null},"SSL":{"anyOf":[{"$ref":"#/components/schemas/SSLHooksSchema"},{"type":"null"}],"default":null},"Kerberos":{"anyOf":[{"$ref":"#/components/schemas/KerberosHooksSchema"},{"type":"null"}],"default":null}},"title":"ConnectionHooksSchema","type":"object"},"SSHTunnelHooksSchema":{"properties":{"host":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Host"},"port":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Port"},"username":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Username"},"local_port":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Local Port"},"local_host":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Local Host"}},"title":"SSHTunnelHooksSchema","type":"object"},"SSLHooksSchema":{"properties":{"ca_filename":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Ca Filename"},"cert_filename":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Cert Filename"},"key_filename":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Key Filename"},"ssl_mode":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Ssl Mode"}},"title":"SSLHooksSchema","type":"object"},"KerberosHooksSchema":{"properties":{"principal":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Principal"}},"title":"KerberosHooksSchema","type":"object"},"MySQLMariaDBConnector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"MySQLMariaDBConnector","title":"Connector Type","type":"string"},"host":{"minLength":1,"title":"Host","type":"string"},"database":{"minLength":1,"title":"Database","type":"string"},"username":{"minLength":1,"title":"Username","type":"string"},"port":{"anyOf":[{"maximum":65535,"minimum":1,"type":"integer"},{"type":"null"}],"default":3306,"title":"Port"},"protocol":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"mysql+mysqldb","title":"Protocol"},"include_views":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Include Views"}},"required":["id","connector_type","host","database","username"],"title":"MySQLMariaDBConnector","type":"object"},"OracleConnector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"OracleConnector","title":"Connector Type","type":"string"},"host":{"minLength":1,"title":"Host","type":"string"},"database":{"minLength":1,"title":"Database","type":"string"},"username":{"minLength":1,"title":"Username","type":"string"},"schema_name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Schema Name"},"port":{"anyOf":[{"maximum":65535,"minimum":1,"type":"integer"},{"type":"null"}],"default":1521,"title":"Port"},"protocol":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"oracle+oracledb","title":"Protocol"},"include_views":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Include Views"}},"required":["id","connector_type","host","database","username"],"title":"OracleConnector","type":"object"},"PostgreSQLConnector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"PostgreSQLConnector","title":"Connector Type","type":"string"},"host":{"minLength":1,"title":"Host","type":"string"},"database":{"minLength":1,"title":"Database","type":"string"},"username":{"minLength":1,"title":"Username","type":"string"},"schema_name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Schema Name"},"port":{"anyOf":[{"maximum":65535,"minimum":1,"type":"integer"},{"type":"null"}],"default":5432,"title":"Port"},"protocol":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"postgresql+psycopg2","title":"Protocol"},"include_views":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Include Views"}},"required":["id","connector_type","host","database","username"],"title":"PostgreSQLConnector","type":"object"},"DatabricksConnector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"DatabricksConnector","title":"Connector Type","type":"string"},"host":{"minLength":1,"title":"Host","type":"string"},"catalog":{"minLength":1,"title":"Catalog","type":"string"},"database":{"minLength":1,"title":"Database","type":"string"},"port":{"anyOf":[{"maximum":65535,"minimum":1,"type":"integer"},{"type":"null"}],"default":443,"title":"Port"},"protocol":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"databricks","title":"Protocol"},"cluster_path":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Cluster Path"},"warehouse_id":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Warehouse Id"},"include_views":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Include Views"}},"required":["id","connector_type","host","catalog","database"],"title":"DatabricksConnector","type":"object"},"DB2Connector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"DB2Connector","title":"Connector Type","type":"string"},"host":{"minLength":1,"title":"Host","type":"string"},"database":{"minLength":1,"title":"Database","type":"string"},"username":{"minLength":1,"title":"Username","type":"string"},"schema_name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Schema Name"},"port":{"anyOf":[{"maximum":65535,"minimum":1,"type":"integer"},{"type":"null"}],"default":50000,"title":"Port"},"protocol":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"db2","title":"Protocol"},"include_views":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Include Views"}},"required":["id","connector_type","host","database","username"],"title":"DB2Connector","type":"object"},"SybaseConnector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"SybaseConnector","title":"Connector Type","type":"string"},"host":{"minLength":1,"title":"Host","type":"string"},"database":{"minLength":1,"title":"Database","type":"string"},"username":{"minLength":1,"title":"Username","type":"string"},"schema_name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Schema Name"},"port":{"anyOf":[{"maximum":65535,"minimum":1,"type":"integer"},{"type":"null"}],"default":5000,"title":"Port"},"protocol":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"sybase+pyodbc","title":"Protocol"}},"required":["id","connector_type","host","database","username"],"title":"SybaseConnector","type":"object"},"TargetConnectorSchema":{"discriminator":{"mapping":{"ADLSFSConnector":"#/components/schemas/ADLSFSConnector","DB2Connector":"#/components/schemas/DB2Connector","DatabricksConnector":"#/components/schemas/DatabricksConnector","MsSQLConnector":"#/components/schemas/MsSQLConnector","MySQLMariaDBConnector":"#/components/schemas/MySQLMariaDBConnector","OracleConnector":"#/components/schemas/OracleConnector","PostgreSQLConnector":"#/components/schemas/PostgreSQLConnector","S3FSConnector":"#/components/schemas/S3FSConnector","SybaseConnector":"#/components/schemas/SybaseConnector"},"propertyName":"connector_type"},"oneOf":[{"$ref":"#/components/schemas/MsSQLConnector"},{"$ref":"#/components/schemas/MySQLMariaDBConnector"},{"$ref":"#/components/schemas/OracleConnector"},{"$ref":"#/components/schemas/PostgreSQLConnector"},{"$ref":"#/components/schemas/DatabricksConnector"},{"$ref":"#/components/schemas/DB2Connector"},{"$ref":"#/components/schemas/SybaseConnector"},{"$ref":"#/components/schemas/ADLSFSConnector"},{"$ref":"#/components/schemas/S3FSConnector"}],"title":"TargetConnectorSchema"},"ADLSFSConnector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"ADLSFSConnector","title":"Connector Type","type":"string"},"storage_container_name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Storage Container Name"},"storage_account_name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Storage Account Name"},"remote_path":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"/","title":"Remote Path"}},"required":["id","connector_type"],"title":"ADLSFSConnector","type":"object"},"S3FSConnector":{"properties":{"hooks_params":{"anyOf":[{"$ref":"#/components/schemas/ConnectionHooksSchema"},{"type":"null"}],"default":null},"is_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Is Source"},"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"connector_type":{"const":"S3FSConnector","title":"Connector Type","type":"string"},"bucket":{"minLength":1,"title":"Bucket","type":"string"},"region":{"minLength":1,"title":"Region","type":"string"},"remote_path":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"/","title":"Remote Path"},"aws_access_key_id":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Aws Access Key Id"}},"required":["id","connector_type","bucket","region"],"title":"S3FSConnector","type":"object"}}},"paths":{"/api/v1/engine/{engine_id}/":{"get":{"operationId":"engine_retrieve","parameters":[{"in":"path","name":"engine_id","schema":{"type":"string"},"required":true}],"tags":["Engine"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Engine"}}},"description":""},"503":{"description":"Message: unable to fetch engine from external service"}}}}}}
```

## DELETE /api/v1/engine/{engine\_id}/delete/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ApplicationMessage":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"code":{"title":"Code","type":"string"},"title":{"title":"Title","type":"string"},"body":{"items":{"type":"string"},"title":"Body","type":"array"},"durability":{"anyOf":[{"$ref":"#/components/schemas/Durability"},{"type":"null"}],"default":"temporary"},"duration":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":5000,"title":"Duration"},"kind":{"anyOf":[{"$ref":"#/components/schemas/SystemMessageKind"},{"type":"null"}],"default":"info"},"details":{"anyOf":[{"additionalProperties":{"items":{"type":"string"},"type":"array"},"type":"object"},{"type":"null"}],"default":null,"title":"Details"},"payload":{"default":null,"title":"Payload"},"action":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"default":null,"title":"Action"},"display":{"anyOf":[{"$ref":"#/components/schemas/Display"},{"type":"null"}],"default":"notification"},"created_at":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Created At"}},"required":["code","title","body"],"title":"ApplicationMessage","type":"object"},"Durability":{"enum":["transient","persistent","temporary"],"title":"Durability","type":"string"},"SystemMessageKind":{"enum":["success","error","warning","info"],"title":"SystemMessageKind","type":"string"},"Display":{"enum":["field","screen","notification"],"title":"Display","type":"string"}}},"paths":{"/api/v1/engine/{engine_id}/delete/":{"delete":{"operationId":"engine_delete_destroy","parameters":[{"in":"path","name":"engine_id","schema":{"type":"string"},"required":true}],"tags":["Engine"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationMessage"}}},"description":""},"503":{"description":"Message: unable to delete engine from external service"}}}}}}
```

## GET /api/v1/engine/{engine\_id}/settings/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"EngineSettingsSchema":{"properties":{"seed_value":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":42,"title":"Seed Value"},"use_seed":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"title":"Use Seed"},"initialization_mode":{"anyOf":[{"$ref":"#/components/schemas/InitializationMode"},{"type":"null"}],"default":"DE_IDENTIFY"},"key_generation_method":{"anyOf":[{"$ref":"#/components/schemas/KeyGenerationMethod"},{"type":"null"}],"default":"duplicate"},"n_parallel_pipeline_processes":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1,"title":"N Parallel Pipeline Processes"},"default_n_training_rows":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":100000,"title":"Default N Training Rows"},"default_sample_noise_ratio":{"anyOf":[{"type":"number"},{"type":"null"}],"default":0.0001,"title":"Default Sample Noise Ratio"},"default_max_n_feat_per_model":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":-1,"title":"Default Max N Feat Per Model"},"default_feat_model_train_order":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"as_given","title":"Default Feat Model Train Order"},"default_cardinality_threshold":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":10,"title":"Default Cardinality Threshold"},"default_rare_category_replacement":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"*","title":"Default Rare Category Replacement"},"default_clip_threshold":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":0,"title":"Default Clip Threshold"},"default_locale":{"anyOf":[{"$ref":"#/components/schemas/DefaultLocale"},{"type":"null"}],"default":"en"},"default_noise_factor":{"anyOf":[{"type":"number"},{"type":"null"}],"default":0.0001,"title":"Default Noise Factor"},"default_textpii_parallel_jobs":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":2,"title":"Default Textpii Parallel Jobs"},"default_textpii_scan_batch_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1000,"title":"Default Textpii Scan Batch Size"},"default_cutoff_length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1000,"title":"Default Cutoff Length"},"default_min_sample_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":5,"title":"Default Min Sample Size"},"default_consistent_integer_shuffle_threshold":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":0,"title":"Default Consistent Integer Shuffle Threshold"},"default_max_pending_tasks":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1,"title":"Default Max Pending Tasks"},"default_exclude_tables":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Default Exclude Tables"},"default_n_preview_training_rows":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":1000,"title":"Default N Preview Training Rows"},"default_compute_ai_preview":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Default Compute Ai Preview"},"default_data_batch_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Default Data Batch Size"},"default_n_connections":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Default N Connections"},"default_parallel_writing":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"title":"Default Parallel Writing"},"pii_model_settings":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"default":null,"title":"Pii Model Settings"},"id":{"format":"uuid","title":"Id","type":"string"}},"required":["id"],"title":"EngineSettingsSchema","type":"object"},"InitializationMode":{"enum":["MOCK","MOCK_OR_MASK","DE_IDENTIFY","SCRATCH"],"title":"InitializationMode","type":"string"},"KeyGenerationMethod":{"enum":["duplicate","generate","hash"],"title":"KeyGenerationMethod","type":"string"},"DefaultLocale":{"enum":["en","nl","ja","de"],"title":"DefaultLocale","type":"string"}}},"paths":{"/api/v1/engine/{engine_id}/settings/":{"get":{"operationId":"engine_settings_retrieve","parameters":[{"in":"path","name":"engine_id","schema":{"type":"string"},"required":true}],"tags":["Engine"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EngineSettingsSchema"}}},"description":""}}}}}}
```

## GET /api/v1/engine/initialization\_modes/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"InitializationModes":{"properties":{"initialization_modes":{"anyOf":[{"items":{"$ref":"#/components/schemas/InitializationModeConfig"},"type":"array"},{"type":"null"}],"default":null,"title":"Initialization Modes"}},"title":"InitializationModes","type":"object"},"InitializationModeConfig":{"properties":{"name":{"anyOf":[{"$ref":"#/components/schemas/InitializationMode"},{"type":"null"}],"default":null},"key_generation_method":{"anyOf":[{"$ref":"#/components/schemas/InitializationModeParameterConfig"},{"type":"null"}],"default":null},"default_locale":{"anyOf":[{"$ref":"#/components/schemas/InitializationModeParameterConfig"},{"type":"null"}],"default":null}},"title":"InitializationModeConfig","type":"object"},"InitializationMode":{"enum":["MOCK","MOCK_OR_MASK","DE_IDENTIFY","SCRATCH"],"title":"InitializationMode","type":"string"},"InitializationModeParameterConfig":{"properties":{"available":{"anyOf":[{"items":{"$ref":"#/components/schemas/KeyGenerationMethod"},"type":"array"},{"items":{"$ref":"#/components/schemas/DefaultLocale"},"type":"array"},{"type":"null"}],"default":null,"title":"Available"},"default":{"anyOf":[{"$ref":"#/components/schemas/KeyGenerationMethod"},{"$ref":"#/components/schemas/DefaultLocale"},{"type":"null"}],"default":null,"title":"Default"}},"title":"InitializationModeParameterConfig","type":"object"},"KeyGenerationMethod":{"enum":["duplicate","generate","hash"],"title":"KeyGenerationMethod","type":"string"},"DefaultLocale":{"enum":["en","nl","ja","de"],"title":"DefaultLocale","type":"string"}}},"paths":{"/api/v1/engine/initialization_modes/":{"get":{"operationId":"engine_initialization_modes_retrieve","tags":["Engine"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitializationModes"}}},"description":"Success: Initialization modes"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.syntho.ai/syntho-api/syntho-rest-api/engine.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
